Skip to main content
GET
Get device fault snapshot

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string<uuid>
required

A UUID string identifying this device.

Query Parameters

job_id
string<uuid>
test_execution_id
string<uuid>

Response

Consolidated device fault/diagnosis snapshot.

device_id
string<uuid>
required
device_name
string
required
resolved_job_id
string<uuid> | null
required
resolved_test_execution_id
string<uuid> | null
required
device_status
object
required

Device status section of the fault snapshot.

recent_failed_tests
object[]
required
pinned_test_execution
object | null
required

The explicitly requested test_execution_id payload when that pointer is a failure. Null when the request is not scoped by test_execution_id.

active_execution
object | null
required

Newest running job/device-status row for the device. Null when no running execution is found in the requested scope.

ai_diagnosis
object | null
required

Null when no failing job/device-status row is found. A non-null section with both device_diagnosis and job_failure_summary null means a failing job was found but its AI analysis is not yet available.

gate
object | null
required

Failure-code triage gate section of the fault snapshot.